package com.qmth.distributed.print.business.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.base.BaseEntity;
import com.qmth.teachcloud.common.enums.userPush.SyncStatusEnum;
import com.qmth.teachcloud.common.enums.userPush.UserPushResultEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 云阅卷用户推送状态表
 * @Author: CaoZixuan
 * @Date: 2022-08-08
 */
@ApiModel(value="CloudUserPushStatus对象", description="云阅卷用户推送状态表")
public class CloudUserPushStatus extends BaseEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "学校id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long schoolId;

    @ApiModelProperty(value = "用户id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    @ApiModelProperty(value = "评卷员推送状态")
    private UserPushResultEnum markerStatus;

    @ApiModelProperty(value = "科组长推送状态")
    private UserPushResultEnum markerLeaderStatus;

    @ApiModelProperty(value = "同步状态")
    private SyncStatusEnum syncStatus;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public UserPushResultEnum getMarkerStatus() {
        return markerStatus;
    }

    public void setMarkerStatus(UserPushResultEnum markerStatus) {
        this.markerStatus = markerStatus;
    }

    public UserPushResultEnum getMarkerLeaderStatus() {
        return markerLeaderStatus;
    }

    public void setMarkerLeaderStatus(UserPushResultEnum markerLeaderStatus) {
        this.markerLeaderStatus = markerLeaderStatus;
    }

    public SyncStatusEnum getSyncStatus() {
        return syncStatus;
    }

    public void setSyncStatus(SyncStatusEnum syncStatus) {
        this.syncStatus = syncStatus;
    }
}
